DocFlavor.SERVICE_FORMATTED (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print, class: DocFlavor, class: SERVICE_FORMATTED
Keywords: javax.print.DocFlavor.SERVICE_FORMATTED class

# Class DocFlavor.SERVICE_FORMATTED

java.lang.Object
javax.print.DocFlavor
javax.print.DocFlavor.SERVICE_FORMATTED

All Implemented Interfaces:
  `Serializable, Cloneable`

Enclosing class:
  `DocFlavor`

public static class DocFlavor.SERVICE_FORMATTED extends DocFlavor
Class `DocFlavor.SERVICE_FORMATTED` provides predefined static constant `DocFlavor` objects for example doc flavors for service formatted print data.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class DocFlavor

  `DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`
  Modifier and Type
  Class
  Description
  `static class`
  `DocFlavor.BYTE_ARRAY`
  Class `DocFlavor.BYTE_ARRAY` provides predefined static constant `DocFlavor` objects for example doc flavors using a byte array (`byte[]`) as the print data representation class.
  `static class`
  `DocFlavor.CHAR_ARRAY`
  Class `DocFlavor.CHAR_ARRAY` provides predefined static constant `DocFlavor` objects for example doc flavors using a character array (`char[]`) as the print data representation class.
  `static class`
  `DocFlavor.INPUT_STREAM`
  Class `DocFlavor.INPUT_STREAM` provides predefined static constant `DocFlavor` objects for example doc flavors using a byte stream (`java.io.InputStream`) as the print data representation class.
  `static class`
  `DocFlavor.READER`
  Class `DocFlavor.READER` provides predefined static constant `DocFlavor` objects for example doc flavors using a character stream (`java.io.Reader`) as the print data representation class.
  `static class`
  `DocFlavor.SERVICE_FORMATTED`
  Class `DocFlavor.SERVICE_FORMATTED` provides predefined static constant `DocFlavor` objects for example doc flavors for service formatted print data.
  `static class`
  `DocFlavor.STRING`
  Class `DocFlavor.STRING` provides predefined static constant `DocFlavor` objects for example doc flavors using a string (`java.lang.String`) as the print data representation class.
  `static class`
  `DocFlavor.URL`
  Class `DocFlavor.URL` provides predefined static constant `DocFlavor` objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DocFlavor.SERVICE_FORMATTED`
  `PAGEABLE`
  Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).
  `static final DocFlavor.SERVICE_FORMATTED`
  `PRINTABLE`
  Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).
  `static final DocFlavor.SERVICE_FORMATTED`
  `RENDERABLE_IMAGE`
  Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

  ### Fields declared in class DocFlavor

  `hostEncoding`
  Modifier and Type
  Field
  Description
  `static final String`
  `hostEncoding`
  A string representing the host operating system encoding.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SERVICE_FORMATTED(String className)`
  Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.

- ## Method Summary

  ### Methods declared in class DocFlavor

  `equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Determines if this doc flavor object is equal to the given object.
  `String`
  `getMediaSubtype()`
  Returns this doc flavor object's media subtype (from the MIME type).
  `String`
  `getMediaType()`
  Returns this doc flavor object's media type (from the MIME type).
  `String`
  `getMimeType()`
  Returns this doc flavor object's MIME type string based on the canonical form.
  `String`
  `getParameter(String paramName)`
  Returns a `String` representing a MIME parameter.
  `String`
  `getRepresentationClassName()`
  Returns the name of this doc flavor object's representation class.
  `int`
  `hashCode()`
  Returns a hash code for this doc flavor object.
  `String`
  `toString()`
  Converts this `DocFlavor` to a string.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### RENDERABLE_IMAGE

    public static final DocFlavor.SERVICE_FORMATTED RENDERABLE_IMAGE
    Service formatted print data doc flavor with print data representation class name = `"java.awt.image.renderable.RenderableImage"` (renderable image object).

  - ### PRINTABLE

    public static final DocFlavor.SERVICE_FORMATTED PRINTABLE
    Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Printable"` (printable object).

  - ### PAGEABLE

    public static final DocFlavor.SERVICE_FORMATTED PAGEABLE
    Service formatted print data doc flavor with print data representation class name = `"java.awt.print.Pageable"` (pageable object).

- ## Constructor Details

  - ### SERVICE_FORMATTED

    public SERVICE_FORMATTED(String className)
    Constructs a new doc flavor with a MIME type of `"application/x-java-jvm-local-objectref"` indicating service formatted print data and the given print data representation class name.
    Parameters:
      `className` - fully-qualified representation class name
    Throws:
      `NullPointerException` - if `className` is `null`